gs 7.00

muge

Active Member
Hallo zusammen

ich versuche einen Drucker mit apsfilter zu installieren.
beim starten des Setup scriptes kommt die Meldung dass ich auf gs 7.00 upgraden soll.
nun, wie mache ich das? ist gs nicht ghostscript? davon habe ich die Version 7.05
oder ist da was anderes gemeint?

Nebenbei: einer der Drucker, die installiert werden sollten ist ein Samsung ML-1510. gibt es dazu treiber?

thx muge
 

ouTi

BSD sucker
isn bug in apsfilter... der eknnt die installierte version nicht gescheit.

wenn deine version grösser ist, als die die er haben will -> ignore
 

muge

Active Member
Hm, da er die Version nicht erkennt, findet er aber leider auch die Treiber nicht. Wie kann ich die einbinden?

Gerade ist mir auch aufgefallen, dass wenn ich das setup script starte er zwar jedesmal eine library nicht laden kann, aber er meldet nicht immer dieselbe, aber immer nur eine:

diese habe ich bisher gesehen:

gs: can't load library libXext.so.7.0
gs: can't load library libSM.so.7.0
gs: can't load library libICE.so.7.0
gs: can't load library libXt.so.7.0

thx
muge
 

muge

Active Member
Die meisten dieser librarys finde ich im zusammenhang mit X. Bei der Treiberauswahl vermisst er libX11.so.7.0...

X ist doch hoffentlich keine Voraussetzung für das benützen von apsfilter, oder?

muge
 

muge

Active Member
Wie ich inzwischen festgestellt habe, benötigt Ghostscript X11 libraries.

nun ist eigentlich meine Frage, wie ich die am besten installiere.
IDer Rechner wird ein Druckserver, deshalb möchte ich nicht unbedingt das ganze X11 installieren. wie mache ich das am besten? mit cvs den xf4 ziehen? oder gibt es bessere Lösungen?

thx
muge
 

muge

Active Member
Mit den Packages xbaseXX.tgz und xshareXX.tgz kompiliert ghostscript aus den Ports.

Jetzt sind zwar alle Fehlermeldungen weg, aber er findet die Treiber nicht. Ich habe /usr/ports/print/hpijs installiert. apsfilter listet mir dann eine grosse Anzahl von treibern auf, bei den meisten meldet er aber, das ghostscript ohne diese Treiberunterstützung kompiliert wurde. Wie kompiliere ich ghostscript mit diesen Treibern? kann man make optionen mitgeben?

thx muge
 
Oben